UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQIndexAssignmentEligibilityStopCompleteInfo Class Reference

UMQ Index Assignment Eligibility Stop Complete Info class. Contains extended information for UMQ receiver index assignment eligibility stop complete messages. This info object is supplied with a message indicating the a receiver is now no longer eligible for new index assignments from a queue. More...

Inheritance diagram for com.latencybusters.lbm.UMQIndexAssignmentEligibilityStopCompleteInfo:

## Public Member Functions
| UMQIndexAssignmentEligibilityStopCompleteInfo (int flags, long queueId, String queue)
| Creates a UMQIndexAssignmentEligibilityStopCompleteInfo object and initializes fields to the supplied values. More...
int | flags ()
| Get informational flags for this info object. More...
long | queueId ()
| Get Queue Id for the queue associated with this info object. More...
String | queueName ()
| Get Queue name for the queue associated with this info object. More...

## Detailed Description

UMQ Index Assignment Eligibility Stop Complete Info class. Contains extended information for UMQ receiver index assignment eligibility stop complete messages. This info object is supplied with a message indicating the a receiver is now no longer eligible for new index assignments from a queue.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQIndexAssignmentEligibilityStopCompleteInfo.UMQIndexAssignmentEligibilityStopCompleteInfo | ( | int | flags,
|  | long | queueId,
|  | String | queue
| ) |  |

Creates a UMQIndexAssignmentEligibilityStopCompleteInfo object and initializes fields to the supplied values.

LBMEInvalException An invalid parameter was specified.

Parameters

  flags | Informational flags.
  queueId | Queue Id of the queue.
  queue | The name of the queue the receiver is now no longer eligible to receive index assignments from.

## Member Function Documentation

int com.latencybusters.lbm.UMQQueueInfo.flags | ( |  | ) |
| inherited

Get informational flags for this info object.

Returns
  Flags.

long com.latencybusters.lbm.UMQQueueInfo.queueId | ( |  | ) |
| inherited

Get Queue Id for the queue associated with this info object.

Returns
  Queue Id for the queue associated with this info object.

String com.latencybusters.lbm.UMQQueueInfo.queueName | ( |  | ) |
| inherited

Get Queue name for the queue associated with this info object.

Returns
  Queue name for the queue associated with this info object.

References com.latencybusters.lbm.LBM.UMQ_MAX_QUEUE_STRLEN.

The documentation for this class was generated from the following file:

- UMQIndexAssignmentEligibilityStopCompleteInfo.cs